javax.xml.registry

## Interface Connection

- All Known Subinterfaces:
    FederatedConnection

      public interface Connection

  This class represents a connection between a JAXR client and a JAXR provider.
  Author:
    Farrukh S. Najmi
  See Also:
    `ConnectionFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes a Connection when it is no longer needed.
    `Set` | `getCredentials()` Gets the credentials associated with this client.
    `RegistryService` | `getRegistryService()` Gets the RegistryService interface associated with the Connection.
    `boolean` | `isClosed()` Indicated whether this Connection has been closed or not.
    `boolean` | `isSynchronous()` Indicates whether a client uses synchronous communication with JAXR provider or not.
    `void` | `setCredentials(Set credentials)` Sets the Credentials associated with this client.
    `void` | `setSynchronous(boolean sync)` Sets whether the client uses synchronous communication or not.

- - ### Method Detail

    - #### getRegistryService

          RegistryService getRegistryService()
                                             throws JAXRException

      Gets the RegistryService interface associated with the Connection. If a Connection property (e.g. credentials) is set after the client calls getRegistryService then the newly set Connection property is visible to the RegistryService previously returned by this call.

      Capability Level: 0
      Returns:
        the RegistryService associated with this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `RegistryService`

    - #### close

          void close()
                     throws JAXRException

      Closes a Connection when it is no longer needed. Since a provider typically allocates significant resources outside the JVM on behalf of a Connection, clients should close them when they are not needed.

      Capability Level: 0
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### isClosed

          boolean isClosed()
                           throws JAXRException

      Indicated whether this Connection has been closed or not.

      Capability Level: 0
      Returns:
        `true` if Connection is closed; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### isSynchronous

          boolean isSynchronous()
                                throws JAXRException

      Indicates whether a client uses synchronous communication with JAXR provider or not. A JAXR provider must support both modes of communication. A JAXR client can choose which mode it wants to use.

      Capability Level: 0
      Returns:
        `true` if Connection is synchronous (default); `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setSynchronous

          void setSynchronous(boolean sync)
                              throws JAXRException

      Sets whether the client uses synchronous communication or not. A JAXR client may dynamically change its communication style preference.

      Capability Level: 0
      Parameters:
        `sync` - `true` if Connection is desired to be synchronous; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setCredentials

          void setCredentials(Set credentials)
                              throws JAXRException

      Sets the Credentials associated with this client. The credentials is used to authenticate the client with the JAXR provider. A JAXR client may dynamically change its identity by changing the credentials associated with it.

      Capability Level: 0
      Parameters:
        `credentials` - a Collection oj java.lang.Objects which provide identity related information for the caller.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getCredentials

          Set getCredentials()
                             throws JAXRException

      Gets the credentials associated with this client.

      Capability Level: 0
      Returns:
        Set of java.lang.Object instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.